<?php

namespace ACL\Services;

use ACL\Helpers\Instances\InstanceProvider;
use ACL\Repositories\Paramgeral as ParamgeralRepository;
use ACL\Traits\TCrud;

class Paramgeral
{

    use TCrud;

    /**
     * @var \Teknisa\Libs\Util\Environment
     */
    private $libEnvironment;

    /**
     * @var ParamgeralRepository
     */
    private $paramgeralRepository;

    public function __construct(ParamgeralRepository $paramgeralRepository)
    {
        $this->paramgeralRepository = $paramgeralRepository;
        $this->libEnvironment = InstanceProvider::getLibEnvironment();
    }

    /**
     * @return array
     */
   public function findParamgeral(): array
   {
       return $this->paramgeralRepository->findParamgeral(getNrorg());
   }
}
